# TdApi.BotCommands (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: BotCommands

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BotCommands

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BotCommands

Enclosing class:
  TdApi

public static final class TdApi.BotCommands extends TdApi.Object
Contains a list of bot commands.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`botUserId`
Bot's user identifier.
`TdApi.BotCommand[]`
`commands`
List of bot commands.
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`BotCommands()`
Contains a list of bot commands.
`BotCommands(long botUserId, TdApi.BotCommand[] commands)`
Contains a list of bot commands.
`BotCommands(DataInput input)`
Contains a list of bot commands.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
Bot's user identifier.

### commands

public TdApi.BotCommand[] commands
List of bot commands.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### BotCommands

public BotCommands()
Contains a list of bot commands.

### BotCommands

public BotCommands(long botUserId, TdApi.BotCommand[] commands)
Contains a list of bot commands.

Parameters:
  `botUserId` - long Bot's user identifier.
  `commands` - BotCommand[] List of bot commands.

### BotCommands

public BotCommands(DataInput input) throws IOException
Contains a list of bot commands.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`